Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
lamp [Le 06/07/2018, 15:19]
krodelabestiole [Conflits potentiels entre plusieurs versions de PHP] petit update
lamp [Le 13/07/2018, 09:00] (Version actuelle)
krodelabestiole déplacement [Conflits potentiels entre plusieurs versions de PHP] vers page PHP
Ligne 156: Ligne 156:
  
 <note tip>En fonction du problème que vous rencontrez, consultez également les problèmes courants spécifiques à [[:​apache2#​problemes_courants|Apache]],​ ceux de [[:​php#​problemes_courants|PHP]] ou ceux de [[:​mysql#​problemes_courants|MySQL]].</​note>​ <note tip>En fonction du problème que vous rencontrez, consultez également les problèmes courants spécifiques à [[:​apache2#​problemes_courants|Apache]],​ ceux de [[:​php#​problemes_courants|PHP]] ou ceux de [[:​mysql#​problemes_courants|MySQL]].</​note>​
-==== Conflits potentiels entre plusieurs versions de PHP ==== 
- 
-Il est possible que plusieurs versions de PHP soient installées simultanément,​ par ex. après une mise à jour majeure d'​ubuntu si vous avez spécifié le numéro de version de PHP lors de l'​installation des paquets, ou si vous avez ajouté un PPA exotique pour installer une version spécifique de PHP (mauvaise idée, il vaut mieux dans ce cas utiliser [[:​docker_lamp|docker]]).\\ 
-Cela peut par ex. rendre des modules de PHP inaccessibles alors qu'ils semblent bien installés. 
- 
-Vous pouvez vérifier cela avec cette commande : 
-<​code>​apt list php\* | grep install</​code>​ 
-Si vous voyez apparaître plusieurs versions de PHP, par ex. //php7.0//, //php7.2// ou //php5.6//, vous avez un problème. Dans ce cas supprimez les versions de PHP qui ne correspondent pas à la version proposée par les dépôts officiels d'​ubuntu (//php7.0// sur [[:​xenial|Xenial 16.04]], //php7.2// sur [[:​bionic|Bionic 18.04]]) puis réinstallez les paquets absents si nécessaire ([[apt>​libapache2-mod-php]],​ etc). 
  
 ==== Conflit entre MySQL et MariaDB ==== ==== Conflit entre MySQL et MariaDB ====
  • lamp.txt
  • Dernière modification: Le 13/07/2018, 09:00
  • par krodelabestiole